Subject: Re: bug#34772: Python tkinter

From: "[email-masked]" <[email-masked]>
Date: Thu, 07 Mar 2019 14:39:18 -0600

Bumping this, as it has been 24 hours without a reply. I'm still not sure what to make of this issue, and I do not have another machine to reproduce it on.------ Original message------From: [email-masked]: Wed, Mar 6, 2019 1:50 PMTo: Bug guix;Guix-devel;Cc: Subject:bug#34772: Python tkinterHello all,

I am having an issue getting tkinter to work for our python build.

brettg@guixsd ~/Repos/CS101/Prog4$ python3 main.py
Traceback (most recent call last):
   File "main.py", line 50, in 
     import windowUtilMod
   File "/home/brettg/Repos/CS101/Prog4/windowUtilMod.py", line 4, in 

     import tkinter as tk
   File 
"/gnu/store/9z98cvjm7p7z21xdid1ryydxy5vyz6wr-python-3.7.0/lib/python3.7/tkinter/__init__.py", 
line 36, in 
     import _tkinter # If this fails your Python may not be configured 
for Tk
ModuleNotFoundError: No module named '_tkinter'

Anybody have any ideas? Please reply to the bug report number.

Brett